# azure.mgmt.containerservice.v2019_04_30.operations module

class `azure.mgmt.containerservice.v2019_04_30.operations.``OpenShiftManagedClustersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  OpenShiftManagedClustersOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-04-30”.

  `create_or_update`(resource_group_name, resource_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates an OpenShift managed cluster.

    Creates or updates a OpenShift managed cluster with the specified configuration for agents and OpenShift version.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_name (str) – The name of the OpenShift managed cluster resource.
    - parameters (OpenShiftManagedCluster) – Parameters supplied to the Create or Update an OpenShift Managed Cluster operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns OpenShiftManagedCluster or ClientRawResponse<OpenShiftManagedCluster> if raw==True
    Return type: | AzureOperationPoller[OpenShiftManagedCluster] or AzureOperationPoller[ClientRawResponse[OpenShiftManagedCluster]]
    Raises: | `CloudError`

  `delete`(resource_group_name, resource_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes an OpenShift managed cluster.

    Deletes the OpenShift managed cluster with a specified resource group and name.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_name (str) – The name of the OpenShift managed cluster resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, resource_name, custom_headers=None, raw=False, **operation_config)

    Gets a OpenShift managed cluster.

    Gets the details of the managed OpenShift cluster with a specified resource group and name.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_name (str) – The name of the OpenShift managed cluster resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | OpenShiftManagedCluster or ClientRawResponse if raw=true
    Return type: | OpenShiftManagedCluster or ClientRawResponse
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    Gets a list of OpenShift managed clusters in the specified subscription.

    Gets a list of OpenShift managed clusters in the specified subscription. The operation returns properties of each OpenShift managed cluster.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of OpenShiftManagedCluster
    Return type: | OpenShiftManagedClusterPaged[OpenShiftManagedCluster]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists OpenShift managed clusters in the specified subscription and resource group.

    Lists OpenShift managed clusters in the specified subscription and resource group. The operation returns properties of each OpenShift managed cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of OpenShiftManagedCluster
    Return type: | OpenShiftManagedClusterPaged[OpenShiftManagedCluster]
    Raises: | `CloudError`

  `update_tags`(resource_group_name, resource_name, tags=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates tags on an OpenShift managed cluster.

    Updates an OpenShift managed cluster with the specified tags.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_name (str) – The name of the OpenShift managed cluster resource.
    - tags (dict[str, str]) – Resource tags.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns OpenShiftManagedCluster or ClientRawResponse<OpenShiftManagedCluster> if raw==True
    Return type: | AzureOperationPoller[OpenShiftManagedCluster] or AzureOperationPoller[ClientRawResponse[OpenShiftManagedCluster]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.containerservice.v2019_04_30.models' from '/usr/lib/python3/dist-packages/azure/mgmt/containerservice/v2019_04_30/models/__init__.py'>